PrefabFiles = {
	"mayoi","saribackpack"
}

Assets = {
    
    Asset( "IMAGE", "images/saveslot_portraits/mayoi.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mayoi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mayoi.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mayoi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mayoi_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mayoi_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mayoi.tex" ),
    Asset( "ATLAS", "bigportraits/mayoi.xml" ),
       
Asset( "IMAGE", "images/inventoryimages/saribackpack.tex" ),
    Asset( "ATLAS", "images/inventoryimages/saribackpack.xml" ),
	
	
	Asset( "IMAGE", "images/map_icons/mayoi.tex" ),
	Asset( "ATLAS", "images/map_icons/mayoi.xml" ),	
Asset( "IMAGE", "images/map_icons/saribackpack.tex" ),
	Asset( "ATLAS", "images/map_icons/saribackpack.xml" ),	

Asset("SOUNDPACKAGE", "sound/mayoi.fev"),
    Asset("SOUND", "sound/mayoi.fsb"),

       
}

local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH
local require = GLOBAL.require


GLOBAL.STRINGS.NAMES.SARIBACKPACK = "˾µ"
GLOBAL.STRINGS.RECIPE_DESC.SARIBACKPACK = "˾µ"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SARIBACKPACK = "е"
GLOBAL.STRINGS.CHARACTER_TITLES.mayoi = "˾"
GLOBAL.STRINGS.CHARACTER_NAMES.mayoi = "mayoi" 
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.mayoi = "*ֻһСŮ\n* س·\n* ܴ"
GLOBAL.STRINGS.CHARACTER_QUOTES.mayoi = "\"Һ·ˡ\""
GLOBAL.STRINGS.CHARACTERS.MAYOI = require "speech_mayoi"

local function MayoiMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "mayoi" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
		delay = 0,
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = false,
            {
                string = "ŷ~Сѧ",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "ӭҵ磬С",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "ⲻǷżĺõط",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "ǰؼ",
                wait = 3,
                anim = nil,
		sound = "dontstarve/HUD/collect_resource", 
            },
            {
                string = "ǲһú",
                wait = 3,
                anim = nil,
                sound = nil,
            },
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
		delay = 2,
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "ôģС",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "Σյ", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "ѹ", 
			wait = 3, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "ϻؼ", 
			wait = 2, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "Ǹ̵Ů", 
			wait = 2, 
			anim = nil, 
			sound = "dontstarve/HUD/collect_resource", 
		},
		{
			string = "ôԱ", 
			wait = 2, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world3",
		appearanim = "appear3",
		idleanim= "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
		disableplayer = true,
		skippable = true,
		{
			string = "ôڣ",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "ҵ㣬군", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Сһ", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Ҫǰ",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "һ㶼", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "һֱҶ", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "õѵ", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "С",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "̫", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Ҳϲ", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim= "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "ؼ",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "˵", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "ֻ˷ʱ", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "㲻ɹģС", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
	}

    end
end

local require = GLOBAL.require
 
AddPrefabPostInit("maxwellintro", MayoiMaxwellIntro)



local function makePostInit(custom_inv)
	return function (inst)
		setStarterInventory(inst, custom_inv)
	end
end



function AddMap(inst)
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( inst.prefab .. ".tex" )
end      



AddMinimapAtlas("images/inventoryimages/saribackpack.xml")
AddMinimapAtlas("images/map_icons/mayoi.xml")
AddModCharacter("mayoi")

RemapSoundEvent( "dontstarve/characters/mayoi/death_voice", "mayoi/characters/mayoi/death_voice" )
RemapSoundEvent( "dontstarve/characters/mayoi/hurt", "mayoi/characters/mayoi/hurt" )
RemapSoundEvent( "dontstarve/characters/mayoi/talk_LP", "mayoi/characters/mayoi/talk_LP" )